package cn.pluss.platform.ys;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银盛相关枚举类
 */
@Getter
@AllArgsConstructor
public enum YsEnum {

    // 微信，支付宝，银联反扫
    BAR_CODE_PAY("ysepay.online.barcodepay", "反扫",YSConstants.BAR_CODE_PAY_RESPONSE),

    //微信公众号、小程序支付
    WECHART_JS_PAY("ysepay.online.weixin.pay", "微信主扫",YSConstants.YS_WX_PAY_SERVICE_RESPONSE),

    // 支付宝生活号支付
    ALI_JS_PAY("ysepay.online.alijsapi.pay", "支付宝主扫",YSConstants.YS_ALIPAY_SERVICE_RESPONSE),

    // 银联行业码支付
    YL_JS_PAY("ysepay.online.cupmulapp.qrcodepay", "银联被扫",YSConstants.YS_YL_INDUSTRY_RESPONSE),

    // 无卡快捷类支付
    NO_CARD_FAST("ysepay.online.fastpay", "无卡快捷支付",YSConstants.YS_FASTPAY_SERVICE_RESPONSE),

    // 协议快捷类支付
    PROTOCOL_FAST_PAY("ysepay.trusteeship.sign", "协议快捷支付",YSConstants.YS_TRUSTEESHIP_SERVICE_RESPONSE),

    // 担保交易
    DELIVERED_PAY("ysepay.online.trade.delivered", "担保交易",YSConstants.YS_DELIVERED_SERVICE_RESPONSE),

    // 退款
    REFUND_PAY("ysepay.online.trade.refund", "退款", YSConstants.YS_REFUND_RESPONSE),

    // 退款查询
    REFUND_PAY_QUERY("ysepay.online.trade.refund.query", "退款查询", YSConstants.YS_REFUND_QUERY_RESPONSE),

    /**
     * 获取图片token
     */
    UPLOAD_IMG_TOKEN("ysepay.merchant.register.token.get", "获取图片token",  YSConstants.UPLOAD_IMG_TOKEN_GET),

    /**
     * 获取图片token
     */
    UPLOAD_IMG("upload", "上传图片",  YSConstants.UPLOAD_IMG_TOKEN_GET),

    /**
     * 微信认证
     */
    WX_CERT_AUTH("ysepay.authenticate.wx.apply", "微信实名认证",  YSConstants.UPLOAD_IMG_TOKEN_GET),

    /**
     * 微信认证-撤销申请单
     */
    WX_CERT_CANCEL("ysepay.authenticate.wx.cancel", "微信实名认证撤销",  YSConstants.UPLOAD_IMG_TOKEN_GET),

    /**
     * 微信认证查询
     */
    WX_CERT_AUTH_STATUS("ysepay.authenticate.wx.query", "微信实名认证查询",  YSConstants.UPLOAD_IMG_TOKEN_GET),

    // 交易查询
    QRDER_QUERY("ysepay.online.trade.order.query", "订单查询",YSConstants.ORDER_QUERY_RESPONSE),

    // 银联授权
    YS_USERID_AUTH("ysepay.online.cupgetmulapp.userid", "银联用户标识查询",YSConstants.YS_YL_AUTH_RESPONSE),


    // WAP支付
    YS_WAP_PAY("ysepay.online.wap.directpay.createbyuser", "银盛wap支付",YSConstants.YS_WAP_PAY_RESPONSE),

    //银盛分账登记
    YS_SPLIT_ACCEPT("ysepay.single.division.online.accept", "银盛分账登记",YSConstants.YS_SPLIT_ACCEPT_RESPONSE),

    //银盛分账查询
    YS_SPLIT_QUERY("ysepay.single.division.online.query", "银盛分账查询",YSConstants.YS_SPLIT_QUERY_RESPONSE),

    //银盛一般消费户退款
    YS_SPLIT_GENERAL_REFUND("ysepay.online.trade.refund.general.account", "一般消费户退款接口",YSConstants.YS_SPLIT_GENERAL_REFUND_RESPONSE),

    //待结算户到一般户/银行卡（实时）
    YS_MERCHANT_WITHDRAW_ACCEPT("ysepay.merchant.withdraw.d0.accept", "实时提现交易(待结算账户到银行卡)",YSConstants.YS_MERCHANT_WITHDRAW_ACCEPT_RESPONSE),

    //银盛分账退款
    YS_SPLIT_REFUND("ysepay.online.trade.refund.split", "银盛分账退款",YSConstants.YS_SPLIT_REFUND_RESPONSE),

    // 获取对账文件
    YS_UNION_ACCOUNT("ysepay.online.unionaccount.downloadurl.get", "获取对账文件", YSConstants.YS_UNION_ACCOUNT_RESPONSE),

    //与生成订单扫码支付
    ACTIVE_QR_CODE_PAY("ysepay.online.qrcodepay", "银盛扫码支付",YSConstants.YS_ACTIVE_QR_CODE_PAY_RESPONSE);

    private String apiName;

    private String typeName;

    private String responseParam;

}
